Get all addresses
get
/fscmRestApi/resources/11.13.18.05/suppliers/{SupplierId}/child/addresses
Request
Path Parameters
-
SupplierId(required): integer(int64)
The value of this parameter could be a hash of the key that is used to uniquely identify the resource item. The client should not generate the hash key value. Instead, the client should query on the collection resource with a filter to navigate to a specific resource item. For example: products?q=InventoryItemId=
Query Parameters
-
dependency: string
This parameter specifies dependencies which are fields that are set before and rolled back after generating the response. Generally they are used to preview the effects of an attribute change. The fields specified in this parameter are always set in the resource instance in question. When a child resource collection is requested and the parameter is set, the fields will be set in the parent resource instance before generating the resource collection payload. The value of this query parameter is a set of dependency fields. Example: dependency=ProductId=2
Format: <attr1>=<val1>,<attr2>=<value2> -
expand: string
When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
-
fields: string
This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.
Format: ?fields=Attribute1,Attribute2
Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2 -
finder: string
Used as a predefined finder to search the collection.
Format ?finder=<finderName>;<variableName>=<variableValue>,<variableName2>=<variableValue2>
The following are the available finder names and corresponding finder variables- PaySiteFinder Finds an address used in a site for payment purposes.
Finder Variables - PrimaryKey Finds supplier addresses based on the primary key.
Finder Variables- SupplierAddressId; integer; Value that uniquely identifies the supplier address.
- PrimaryKeyFinder Finds supplier addresses based on the primary key.
Finder Variables- SupplierAddressId; integer; Value that uniquely identifies the supplier address.
- PaySiteFinder Finds an address used in a site for payment purposes.
-
limit: integer
This parameter restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resources.
-
links: string
This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>
Example:
self,canonical -
offset: integer
Used to define the starting position of the resource collection. If offset exceeds the resource count then no resources are returned. Default value is 0.
-
onlyData: boolean
The resource item payload will be filtered in order to contain only data (no links section, for example).
-
orderBy: string
This parameter orders a resource collection based on the specified fields. The parameter value is a comma-separated string of attribute names, each optionally followed by a colon and "asc" or "desc". Specify "asc" for ascending and "desc" for descending. The default value is "asc". For example, ?orderBy=field1:asc,field2:desc
-
q: string
This query parameter defines the where clause. The resource collection will be queried using the provided expressions. The value of this query parameter is one or more expressions. Example: ?q=Deptno>=10 and <= 30;Loc!=NY
Format: ?q=expression1;expression2
You can use these queryable attributes to filter this collection resource using the q query parameter:- AdditionalAddressAttribute1; string; First additional address attribute for the flexible supplier address format.
- AdditionalAddressAttribute2; string; Second additional address attribute for the flexible supplier address format.
- AdditionalAddressAttribute3; string; Third additional address attribute for the flexible supplier address format.
- AdditionalAddressAttribute4; string; Fourth additional address attribute for the flexible supplier address format.
- AdditionalAddressAttribute5; string; Fifth additional address attribute for the flexible supplier address format.
- AddressLine1; string; First line of the supplier address.
- AddressLine2; string; Second line of the supplier address.
- AddressLine3; string; Third line of the supplier address.
- AddressLine4; string; Forth line of the supplier address.
- AddressName; string; Name of the supplier address.
- AddressPurposeOrderingFlag; boolean; Contains one of the following values: true or false. If true, then you can use the supplier address for ordering. If false, then you can't use this address. The default value is false.
- AddressPurposeRFQOrBiddingFlag; boolean; Contains one of the following values: true or false. If true, then you can use the supplier address to send payment. If false, then you can't use this address. The default value is false.
- AddressPurposeRemitToFlag; boolean; Contains one of the following values: true or false. If true, then you can use the supplier address for requesting for a proposal or for bidding. If false, then you can't use this address. The default value is false.
- Addressee; string; Supplier contact who represents the Addressee.
- Building; string; Building of the supplier address.
- City; string; City of the supplier address.
- Country; string; Country of the supplier address.
- CountryCode; string; Abbreviation that identifies the country where the supplier address is located.
- County; string; County of supplier address.
- Email; string; Email for the supplier address.
- FaxAreaCode; string; Abbreviation that identifies the area for the fax of the supplier address.
- FaxCountryCode; string; Abbreviation that identifies the country for the fax of the supplier address.
- FaxNumber; string; Fax number of the supplier address.
- FloorNumber; string; Floor number of the supplier address.
- GlobalLocationNumber; string; Global location number of the supplier address.
- InactiveDate; string; Date when the supplier address is no longer active.
- Language; string; Language of the supplier address.
- LanguageCode; string; Abbreviation that identifies the language of the supplier address.
- PhoneAreaCode; string; Abbreviation that identifies the area for phone number of the supplier address.
- PhoneCountryCode; string; Abbreviation that identifies the country for the phone of the supplier address.
- PhoneExtension; string; Phone extension of the supplier address.
- PhoneNumber; string; Phone number of the supplier address.
- PhoneticAddress; string; Japanese kana or Chinese kanji phonetic representation of the address lines.
- PostalCode; string; Postal code of the supplier address.
- PostalCodeExtension; string; Four-digit extension to the postal code of the supplier address.
- Province; string; Province of the supplier address.
- State; string; State of the supplier address.
- SupplierAddressId; integer; Value that uniquely identifies the supplier address associated with the supplier contact.
-
totalResults: boolean
The resource collection representation will include the "estimated row count" when "?totalResults=true", otherwise the count is not included. The default value is "false".
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : suppliers-addresses
Type:
Show Source
object-
count(required): integer
The number of resource instances returned in the current range.
-
hasMore(required): boolean
Indicates whether more resources are available on the server than the subset returned in the response. If the value is true, then there are more resources to retrieve from the server. The default value is false.
-
items: array
Items
Title:
ItemsThe items in the collection. -
limit(required): integer
The actual paging size used by the server.
-
links(required): array
Links
Title:
LinksThe link relations associated with the resource instance. -
offset(required): integer
The offset value used in the current page.
-
totalResults: integer
The estimated row count when "?totalResults=true", otherwise the count is not included.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : suppliers-addresses-item-response
Type:
Show Source
object-
AdditionalAddressAttribute1: string
Title:
Additional Address Element 1Maximum Length:150First additional address attribute for the flexible supplier address format. -
AdditionalAddressAttribute2: string
Title:
Additional Address Element 2Maximum Length:150Second additional address attribute for the flexible supplier address format. -
AdditionalAddressAttribute3: string
Title:
Additional Address Element 3Maximum Length:150Third additional address attribute for the flexible supplier address format. -
AdditionalAddressAttribute4: string
Title:
Additional Address Element 4Maximum Length:150Fourth additional address attribute for the flexible supplier address format. -
AdditionalAddressAttribute5: string
Title:
Additional Address Element 5Maximum Length:150Fifth additional address attribute for the flexible supplier address format. -
Addressee: string
Title:
AddresseeMaximum Length:360Supplier contact who represents the Addressee. -
AddressLine1: string
Title:
Address Line 1Maximum Length:240First line of the supplier address. -
AddressLine2: string
Title:
Address Line 2Maximum Length:240Second line of the supplier address. -
AddressLine3: string
Title:
Address Line 3Maximum Length:240Third line of the supplier address. -
AddressLine4: string
Title:
Address Line 4Maximum Length:240Forth line of the supplier address. -
AddressName: string
Title:
Address NameMaximum Length:240Name of the supplier address. -
AddressPartyNumber: string
Title:
Site NumberRead Only:trueMaximum Length:30Number that identifies the supplier. -
AddressPurposeOrderingFlag: boolean
Title:
OrderingMaximum Length:255Contains one of the following values: true or false. If true, then you can use the supplier address for ordering. If false, then you can't use this address. The default value is false. -
AddressPurposeRemitToFlag: boolean
Title:
Remit toMaximum Length:255Contains one of the following values: true or false. If true, then you can use the supplier address for requesting for a proposal or for bidding. If false, then you can't use this address. The default value is false. -
AddressPurposeRFQOrBiddingFlag: boolean
Title:
RFQ or BiddingMaximum Length:255Contains one of the following values: true or false. If true, then you can use the supplier address to send payment. If false, then you can't use this address. The default value is false. -
Building: string
Title:
BuildingMaximum Length:240Building of the supplier address. -
City: string
Title:
City or LocalityMaximum Length:60City of the supplier address. -
Country: string
Title:
CountryMaximum Length:80Country of the supplier address. -
CountryCode: string
Title:
Country CodeMaximum Length:2Abbreviation that identifies the country where the supplier address is located. -
County: string
Title:
CountyMaximum Length:60County of supplier address. -
CreatedBy: string
Title:
Created ByRead Only:trueMaximum Length:64User who created the supplier address. -
CreationDate: string
(date-time)
Title:
Creation DateRead Only:trueDate and time when the application created the supplier address. -
DFF: array
DFF
-
Email: string
Title:
EmailMaximum Length:320Email for the supplier address. -
FaxAreaCode: string
Title:
Fax Area CodeMaximum Length:20Abbreviation that identifies the area for the fax of the supplier address. -
FaxCountryCode: string
Title:
Fax Country CodeMaximum Length:10Abbreviation that identifies the country for the fax of the supplier address. -
FaxNumber: string
Title:
FaxMaximum Length:40Fax number of the supplier address. -
FloorNumber: string
Title:
FloorMaximum Length:40Floor number of the supplier address. -
FormattedAddress: string
Title:
AddressRead Only:trueName of the supplier address. -
GlobalLocationNumber: string
Title:
Global Location NumberMaximum Length:40Global location number of the supplier address. -
InactiveDate: string
(date)
Title:
Inactive DateDate when the supplier address is no longer active. -
Language: string
Title:
LanguageMaximum Length:255Language of the supplier address. -
LanguageCode: string
Title:
LanguageMaximum Length:4Abbreviation that identifies the language of the supplier address. -
LastUpdateDate: string
(date-time)
Title:
Last Updated DateRead Only:trueDate when the supplier address row was last updated. -
LastUpdatedBy: string
Title:
Last Updated ByRead Only:trueMaximum Length:64User who last updated the supplier address row. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
PhoneAreaCode: string
Title:
Phone Area CodeMaximum Length:20Abbreviation that identifies the area for phone number of the supplier address. -
PhoneCountryCode: string
Title:
Phone Country CodeMaximum Length:10Abbreviation that identifies the country for the phone of the supplier address. -
PhoneExtension: string
Title:
Phone ExtensionMaximum Length:20Phone extension of the supplier address. -
PhoneNumber: string
Title:
PhoneMaximum Length:40Phone number of the supplier address. -
PhoneticAddress: string
Title:
Phonetic Address LineMaximum Length:560Japanese kana or Chinese kanji phonetic representation of the address lines. -
PostalCode: string
Title:
Postal CodeMaximum Length:60Postal code of the supplier address. -
PostalCodeExtension: string
Title:
Postal Plus 4 CodeMaximum Length:20Four-digit extension to the postal code of the supplier address. -
Province: string
Title:
ProvinceMaximum Length:60Province of the supplier address. -
State: string
Title:
State or RegionMaximum Length:60State of the supplier address. -
Status: string
Title:
StatusRead Only:trueMaximum Length:255Status of the supplier address. -
SupplierAddressId: integer
(int64)
Read Only:
trueValue that uniquely identifies the supplier address associated with the supplier contact.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : suppliers-addresses-DFF-item-response
Type:
Show Source
object-
__FLEX_Context: string
Title:
Enter Party Site InformationMaximum Length:30Enter Party Site Information -
__FLEX_Context_DisplayValue: string
Title:
Enter Party Site InformationEnter Party Site Information -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
PartySiteId: integer
(int64)
Read Only:
true
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.
Examples
This example describes how to get all addresses.
Example cURL Command
Use the following cURL command to submit a request on the REST resource:
curl -u username:password "https://servername/fscmRestApi/resources/version/suppliers/SupplierId/child/addressess"
Example Response Body
The following shows an example of the response body in JSON format.
{
"items" : [ {
"SupplierAddressId" : 300100153044514,
"AddressName" : "Sales",
"CountryCode" : "ES",
"Country" : "Spain",
"AddressLine1" : "Calle Ferraz",
"AddressLine2" : null,
"AddressLine3" : null,
"AddressLine4" : null,
"City" : "Madrid",
"State" : null,
"PostalCode" : "28008",
"PostalCodeExtension" : null,
"Province" : null,
"County" : null,
"Building" : null,
"FloorNumber" : null,
"PhoneticAddress" : null,
"LanguageCode" : null,
"Language" : null,
"Addressee" : null,
"GlobalLocationNumber" : null,
"AdditionalAddressAttribute1" : null,
"AdditionalAddressAttribute2" : null,
"AdditionalAddressAttribute3" : null,
"AdditionalAddressAttribute4" : null,
"AdditionalAddressAttribute5" : null,
"AddressPurposeOrderingFlag" : true,
"AddressPurposeRemitToFlag" : true,
"AddressPurposeRFQOrBiddingFlag" : false,
"PhoneCountryCode" : "34",
"PhoneAreaCode" : "913",
"PhoneNumber" : "55112",
"PhoneExtension" : null,
"FaxCountryCode" : "34",
"FaxAreaCode" : "913",
"FaxNumber" : "55321",
"Email" : null,
"InactiveDate" : "4712-12-31",
"Status" : "ACTIVE",
"links" : [ {
"rel" : "self",
"href" : "https://servername/fscmRestApi/resources/version/suppliers/300100153044388/child/addresses/300100153044514",
"name" : "addresses",
"kind" : "item",
"properties" : {
"changeIndicator" : "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A657870000000017704000000017372001B6F7261636C652E6A626F2E646F6D61696E2E4E756C6C56616C75655899C1C58DAABEEB02000149000A6D53514C54797065496478700000000C78"
}
}, {
"rel" : "canonical",
"href" : "https://servername/fscmRestApi/resources/version/suppliers/300100153044388/child/addresses/300100153044514",
"name" : "addresses",
"kind" : "item"
}, {
"rel" : "parent",
"href" : "https://servername/fscmRestApi/resources/version/suppliers/300100153044388",
"name" : "suppliers",
"kind" : "item"
} ]
}, {
"SupplierAddressId" : 300100153044503,
"AddressName" : "HQ",
"CountryCode" : "US",
"Country" : "United States",
"AddressLine1" : "22093 Market Street",
"AddressLine2" : null,
"AddressLine3" : null,
"AddressLine4" : null,
"City" : "SAN FRANCISCO",
"State" : "CA",
"PostalCode" : "94102",
"PostalCodeExtension" : null,
"Province" : null,
"County" : null,
"Building" : null,
"FloorNumber" : null,
"PhoneticAddress" : null,
"LanguageCode" : "US",
"Language" : "American English",
"Addressee" : null,
"GlobalLocationNumber" : null,
"AdditionalAddressAttribute1" : null,
"AdditionalAddressAttribute2" : null,
"AdditionalAddressAttribute3" : null,
"AdditionalAddressAttribute4" : null,
"AdditionalAddressAttribute5" : null,
"AddressPurposeOrderingFlag" : true,
"AddressPurposeRemitToFlag" : true,
"AddressPurposeRFQOrBiddingFlag" : false,
"PhoneCountryCode" : "1",
"PhoneAreaCode" : "415",
"PhoneNumber" : "5559908",
"PhoneExtension" : null,
"FaxCountryCode" : "1",
"FaxAreaCode" : "415",
"FaxNumber" : "5559907",
"Email" : "eric.smith@example.com",
"InactiveDate" : "4712-12-31",
"Status" : "ACTIVE",
"links" : [ {
"rel" : "self",
"href" : "https://servername/fscmRestApi/resources/version/suppliers/300100153044388/child/addresses/300100153044503",
"name" : "addresses",
"kind" : "item",
"properties" : {
"changeIndicator" : "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A657870000000017704000000017372001B6F7261636C652E6A626F2E646F6D61696E2E4E756C6C56616C75655899C1C58DAABEEB02000149000A6D53514C54797065496478700000000C78"
}
}, {
"rel" : "canonical",
"href" : "https://servername/fscmRestApi/resources/version/suppliers/300100153044388/child/addresses/300100153044503",
"name" : "addresses",
"kind" : "item"
}, {
"rel" : "parent",
"href" : "https://servername/fscmRestApi/resources/version/suppliers/300100153044388",
"name" : "suppliers",
"kind" : "item"
} ]
} ],
"count" : 2,
"hasMore" : false,
"limit" : 25,
"offset" : 0,
"links" : [ {
"rel" : "self",
"href" : "https://servername/fscmRestApi/resources/version/suppliers/300100153044388/child/addresses",
"name" : "addresses",
"kind" : "collection"
} ]
}